org.apache.lucene.luke.models.analysis

## Class Analysis.CharfilteredText

- java.lang.Object
- - org.apache.lucene.luke.models.analysis.Analysis.NamedObject
  - - org.apache.lucene.luke.models.analysis.Analysis.CharfilteredText

Enclosing interface:
  Analysis

    public static class Analysis.CharfilteredText
    extends Analysis.NamedObject

Holder for a charfilter name and text that output by the charfilter

### Constructor Summary

Constructors
Constructor and Description
`CharfilteredText(String name, String text)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getText()`

### Methods inherited from class org.apache.lucene.luke.models.analysis.Analysis.NamedObject

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharfilteredText

    public CharfilteredText(String name,
                            String text)

### Method Detail

#### getText

    public String getText()